LinHES - Feature # 979: Add GPU Temperature to xymon

Status: Closed Priority: Low

Author: bobmyth Category:

Created: 10/14/2014 Assignee:

Updated: 10/27/2014 Due date:

Description: I've created and attached a script for monitoring GPU temperature in xymon. This only works for an NVidia

based card with the nvidia drivers installed and the nvidia-smi utility. The script will exit silently if these
conditions are not met.

The script attempts to identify the model of the video card and then determine the maximum temperature
NVidia recommends.

Associated revisions

10/26/2014 10:04 am - jams
xymon: add gputemp.sh, fix permissions, and add some extra try/except to hbnotes
refs #979

History

10/19/2014 09:42 am - jams
This version will not work with LinHES 8.2 because of a change in location for proc nvidia.
Any reason that nvidia-smi wasn't used to determine the model?

10/20/2014 02:08 pm - brfransen

- Status changed from New to Feedback

10/20/2014 07:41 pm - bobmyth
- File gputemp added

Good feedback, I've attached a newer version that does not rely on /proc anymore and uses just nvidia-smi. | let it run overnight and it appears to be

working well.

10/24/2014 03:41 pm - bobmyth

- File gputemp added

| just installed a GeForce GT 630, which is not recognized by the NVidia driver in LinHes 8.1. This case causing no temperature to be logged even

though the card would report a temperature. This has been fixed.

10/25/2014 08:13 pm - jams
- Target version set to 8.2

- % Done changed from 0 to 90

- Status changed from Feedback to In Progress

10/27/2014 07:00 am - jams
- Status changed from In Progress to Closed
Made a few minor modifications and added it to 8.2

10/27/2014 07:00 am - jams
- % Done changed from 90 to 100

Files

gputemp 1.7 kB 10/14/2014 bobmyth

gputemp 1.8 kB 10/20/2014 bobmyth

gputemp 1.9kB 10/24/2014 bobmyth
